%global packname gdata
%global Rversion  2.6.0

Name:             R-%{packname}
Version:          2.7.1
Release:          6%{?dist}
Summary:          Various R programming tools for data manipulation
Group:            Applications/Productivity
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/gdata/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-gtools
Requires:         R-core >= %{Rversion}
BuildRequires:    R-devel, perl-ExtUtils-MakeMaker, R-gtools, tex(latex)


%description
Various R programming tools for data manipulation

%prep
%setup -c -q -n %{packname}
cat <<EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} \
| grep -v 'perl(' | grep -v 'Zlib.so'
EOF
%define __perl_provides %{_builddir}/%{packname}/%{name}-prov
chmod +x %{__perl_provides}

%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

# remove some perl-files
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'

# fix permissions
chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/xls/*.xls
chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/perl/Spreadsheet/XLSX.pm
chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/perl/Spreadsheet/XLSX/*.pm
chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/perl/Spreadsheet/README-XLS
chmod +x %{buildroot}%{_libdir}/R/library/%{packname}/perl/*.pl

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/ChangeLog
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/perl/
%{_libdir}/R/library/%{packname}/data/
%{_libdir}/R/library/%{packname}/doc/
%{_libdir}/R/library/%{packname}/xls/
%{_libdir}/R/library/%{packname}/bin/
%{_libdir}/R/library/%{packname}/unitTests/

%changelog
* Sat May 08 2010 josef radinger <cheese@nosuchhost.net>
- 2.7.1-6
- fix buildrequires

* Fri Apr 30 2010 josef radinger <cheese@nosuchhost.net>
- 2.7.1-5
- R-core instead of R

* Tue Apr 27 2010 josef radinger <cheese@nosuchhost.net>
- 2.7.1-4
- fix typo in provides

* Mon Apr 26 2010 josef radinger <cheese@nosuchhost.net>
- 2.7.1-3
- This package brings its own version of perl-Compress-Raw-Zlib, which is
  imho some kind of nogo for fedora. After some grepping I found another 
  (prominent) package with its own perl-sub-package: R-core itself.
  Therefore I make the same (check that it does not deliver provides for perl)
  and hope this is OK.
- fix some cosmetic bugs in spec-file (whitespace)

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net>
- 2.7.1-2
- enable check
- _libdir instead of _datadir

* Wed Apr 07 2010 josef radinger <cheese@nosuchhost.net> 
- 2.7.1-1
- initial release
